;;; testautoload.el --- what it says on the tin  -*- lexical-binding: t -*-

(defun testautoload-hello ()
  (interactive)
  (message "Hello world!"))

(defvar testautoload-mode-map
  (let ((map (make-sparse-keymap)))
    (define-key map "\C-c\M-h" 'testautoload-hello)
    map)
  "Keymap for `testautoload-mode'")

;;;###autoload
(define-minor-mode testautoload-mode
  "Doc"
  :lighter "👋"
  :keymap testautoload-mode-map)

;;;###autoload
(defun turn-on-testautoload-mode ()
  (testautoload-mode 1))

;;;###autoload
(define-globalized-minor-mode global-testautoload-mode
  testautoload-mode turn-on-testautoload-mode
  :group 'testautoload
  :init-value t)

(provide 'testautoload)

;;; testautoload.el ends here
